sasl.h File Reference
`#include <proton/import_export.h>`
`#include <proton/type_compat.h>`
`#include <proton/types.h>`
Include dependency graph for sasl.h:

Go to the source code of this file.

## Typedefs

typedef struct pn_sasl_t | pn_sasl_t
| The SASL layer is responsible for establishing an authenticated and/or encrypted tunnel over which AMQP frames are passed between peers. More...

## Enumerations

enum | pn_sasl_outcome_t { PN_SASL_NONE, PN_SASL_OK, PN_SASL_AUTH, PN_SASL_SYS, PN_SASL_PERM, PN_SASL_TEMP }
| The result of the SASL negotiation. More...

## Functions

pn_sasl_t * | pn_sasl (pn_transport_t *transport)
| Construct an Authentication and Security Layer object. More...
bool | pn_sasl_extended (void)
| Do we support extended SASL negotiation. More...
void | pn_sasl_done (pn_sasl_t *sasl, pn_sasl_outcome_t outcome)
| Set the outcome of SASL negotiation. More...
pn_sasl_outcome_t | pn_sasl_outcome (pn_sasl_t *sasl)
| Retrieve the outcome of SASL negotiation. More...
const char * | pn_sasl_get_user (pn_sasl_t *sasl)
| Retrieve the authenticated user. More...
const char * | pn_sasl_get_mech (pn_sasl_t *sasl)
| Return the selected SASL mechanism. More...
void | pn_sasl_allowed_mechs (pn_sasl_t *sasl, const char *mechs)
| SASL mechanisms that are to be considered for authentication. More...
void | pn_sasl_set_allow_insecure_mechs (pn_sasl_t *sasl, bool insecure)
| Boolean to allow use of clear text authentication mechanisms. More...
bool | pn_sasl_get_allow_insecure_mechs (pn_sasl_t *sasl)
| Return the current value for allow_insecure_mechs. More...
void | pn_sasl_config_name (pn_sasl_t *sasl, const char *name)
| Set the sasl configuration name. More...
void | pn_sasl_config_path (pn_sasl_t *sasl, const char *path)
| Set the sasl configuration path. More...

## Detailed Description

SASL secure transport layer.